Bug 491186 - Viewing a kickstart logs you out
Viewing a kickstart logs you out
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
high Severity low
: ---
: ---
Assigned To: Justin Sherrill
Steve Salevan
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-03-19 14:47 EDT by Justin Sherrill
Modified: 2009-09-10 15:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:24:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-03-19 14:47:10 EDT
1.  Login to satellite
2.  Go to kickstarts and click on one.
3.  Click "Kickstart File"
4.  open "Download Kickstart File" in a new tab/window
5.  Try to continue browsing satellite


Expected results:  Can continue browsing in satellite 

Actual results: have to log in again.
Comment 1 Justin Sherrill 2009-03-23 18:06:12 EDT
fixed the issue by not refreshing the pxt session if the requested URL was in our unauthenticated list.


commit	ec07456b8dd7c87d4ab2ca3c32f18e0a3360e21f
tree	c1cc8424c859350b0813e89590c68bd2f9b62a0f	tree | snapshot
parent	3b1be048609b72a91f0a38051af178f87bc1af3e	commit | diff
Comment 2 Steve Salevan 2009-04-14 16:50:55 EDT
I'm no longer logged out upon accessing that link, so I'm moving this bug to VERIFIED.  Tested on 530-re20090413.0.
Comment 3 Preethi Thomas 2009-08-13 09:22:47 EDT
Release Pending
Comment 4 Brandon Perkins 2009-09-10 15:24:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.